# Package javax.activity

Contains Activity service related exceptions thrown by the ORB machinery during unmarshalling.

See: Description

Exception Summary
ActivityCompletedException: This exception may be thrown on any method for which Activity context is accessed and indicates that ongoing work within the Activity is not possible.
ActivityRequiredException: This exception is thrown by a container if Activity context is not received on a method for which Activity context is mandatory.
InvalidActivityException: This exception may be thrown on any method for which Activity context is accessed and indicates that the attempted invocation or the Activity context associated with the attempted invocation is incompatible with the Activity's current state.

## Package javax.activity Description

Contains Activity service related exceptions thrown by the ORB machinery during unmarshalling.

Since:
  1.5